SparkFun AS726X Arduino Library
========================================

<table class="table table-hover table-striped table-bordered">
  <tr>
   <td><a href="https://www.sparkfun.com/products/14347"><div align="center"><img src="https://cdn.sparkfun.com//assets/parts/1/2/3/2/6/14347-01.jpg" title="SparkFun Spectral Sensor Breakout - AS7262 Visible (Qwiic)"></div></a></center></td>
   <td><a href="https://www.sparkfun.com/products/14351"><div align="center"><img src="https://cdn.sparkfun.com//assets/parts/1/2/3/3/8/14351-01.jpg" title="SparkFun Spectral Sensor Breakout - AS7263 NIR (Qwiic)"></div></a></td>
  </tr>
  <tr>
    <td><div align="center"> <a href="https://www.sparkfun.com/products/14347">SparkFun Spectral Sensor Breakout - AS7262 Visible (Qwiic) (SEN-14347)</a></div></td>
    <td><div align="center"> <a href="https://www.sparkfun.com/products/14351">SparkFun Spectral Sensor Breakout - AS7263 NIR (Qwiic) (SEN-14351)</a></div></td>
  </tr>
</table>

This is an Arduino IDE library to control the AS726X Spectral Sensor, which can be configured via I<sup>2</sup>C or SPI. The AS7262 version detects wavelengths in the visible range while the AS7263 version detects wavelengths just below the visible range, in the Near Infrared (NIR) range.

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/extras** - Additional documentation for the user. These files are ignored by the IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/as726x-nirvi)** - Basic hookup guide for the AS726X.
* **[Product Repository](https://github.com/sparkfun/Qwiic_Spectral_Sensor_AS726X)** - Main repository (including hardware files) for the AS726X Spectral Sensor.

Product Versions
----------------
* [14347](https://www.sparkfun.com/products/14347)- AS7262 Visible Spectral Sensor
* [14351](https://www.sparkfun.com/products/14351)- AS7263 Near Infrared Spectral Sensor

Version History
---------------
* [V1.0.0](https://github.com/sparkfun/Sparkfun_AS726X_Arduino_Library/releases/tag/V1.0.0) - Initial Release
* [V1.0.1](https://github.com/sparkfun/Sparkfun_AS726X_Arduino_Library/releases/tag/V1.0.1) - Updating printUncalibratedMeasurements()
* [v2.0.0](https://github.com/sparkfun/SparkFun_AS726X_Arduino_Library/releases/tag/v2.0.0) - Add error handling. Thanks @ufanders!

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact technical support on our [SparkFun forums](https://forum.sparkfun.com/viewforum.php?f=152).

Distributed as-is; no warranty is given.

- Your friends at SparkFun.

_<COLLABORATION CREDIT>_
